import { LangMap } from '../types';
import HenshuAppStore from './HenshuAppStore';
export default class PersistStore {
    app: HenshuAppStore;
    _onRead: (tree: LangMap) => void;
    private readonly _saveNotification;
    constructor(app: HenshuAppStore, onRead: (tree: LangMap) => void, standNotAlone?: boolean);
    save(): Promise<void>;
    publish(): Promise<void>;
    upload(blob: string): Promise<string>;
    private _unsub;
    private _subscribeToSnapshot;
}
